{config, lib, pkgs, modulesPath, ...}: {
  imports = [ ];

  fileSystems."/" = {
    device = "root";
    fsType = "tmpfs";
    options = [ "size=1G" "mode=755" ];
  };
  fileSystems."/persistence" = {
    device = "/dev/disk/by-uuid/30962650-f1dd-44bc-bca3-da1cdaa6fe3d";
    fsType = "ext4";
    neededForBoot = true;
  };
  fileSystems."/persist" = {
    device = "/persistence/persist";
    options = [ "bind" ];

  };
  fileSystems."/nix" = {
    device = "/persistence/nix";
    options = [ "bind" ];
  };
  fileSystems."/boot" = {
    device = "/persistence/boot";
    options = [ "bind" ];
  };

  swapDevices =
    [{ device = "/dev/disk/by-uuid/30962650-f1dd-44bc-bca3-da1cdaa6fe3d"; }];

  nix.settings.max-jobs = lib.mkDefault 4;

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
}
